Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs	(revision 267)
@@ -86,41 +86,42 @@
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            string strcmd = "SELECT";
+            StringBuilder strcmd = new StringBuilder();
 
-            strcmd += "  PersonCode";
-            strcmd += ", DATE_FORMAT(CreateDate,'%Y/%m/%d')";
-            strcmd += ", SeqNo";
-            strcmd += ", DataMode";
-            strcmd += ", SourceCode";
-            strcmd += ", PetitionPeriod";
+            strcmd.Append("SELECT");
+            strcmd.Append("  PersonCode");
+            strcmd.Append(", DATE_FORMAT(CreateDate,'%Y/%m/%d')");
+            strcmd.Append(", SeqNo");
+            strcmd.Append(", DataMode");
+            strcmd.Append(", SourceCode");
+            strcmd.Append(", PetitionPeriod");
 
-            strcmd += ", CorporateStatusName";
-            strcmd += ", CorporateStatusPoint";
-            strcmd += ", CompanyName";
-            strcmd += ", CEOPositionName";
-            strcmd += ", CEOName";
-            strcmd += ", ContactPersonName";
-            strcmd += ", ZipCode";
-            strcmd += ", Address1";
-            strcmd += ", Address2";
-            strcmd += ", Address3";
-            strcmd += ", CellPhoneNumber";
-            strcmd += ", MailAddress";
-            strcmd += ", PhoneNumber";
-            strcmd += ", FaxNumber";
-            strcmd += ", JapaneseSyllabary";
-            strcmd += ", DATE_FORMAT(StartDate, '%Y/%m/%d')";
-            strcmd += ", Note";
-            strcmd += ", labourKind";
-            strcmd += " ,DATE_FORMAT(OrderDate, '%Y/%m/%d')";
-            strcmd += " ,OrderNo";
+            strcmd.Append(", CorporateStatusName");
+            strcmd.Append(", CorporateStatusPoint");
+            strcmd.Append(", CompanyName");
+            strcmd.Append(", CEOPositionName");
+            strcmd.Append(", CEOName");
+            strcmd.Append(", ContactPersonName");
+            strcmd.Append(", ZipCode");
+            strcmd.Append(", Address1");
+            strcmd.Append(", Address2");
+            strcmd.Append(", Address3");
+            strcmd.Append(", CellPhoneNumber");
+            strcmd.Append(", MailAddress");
+            strcmd.Append(", PhoneNumber");
+            strcmd.Append(", FaxNumber");
+            strcmd.Append(", JapaneseSyllabary");
+            strcmd.Append(", DATE_FORMAT(StartDate, '%Y/%m/%d')");
+            strcmd.Append(", Note");
+            strcmd.Append(", labourKind");
+            strcmd.Append(" ,DATE_FORMAT(OrderDate, '%Y/%m/%d')");
+            strcmd.Append(" ,OrderNo");
 
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM SubConstrRegist";
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM SubConstrRegist");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -135,16 +136,17 @@
         public bool SelectAction(string AddSQLString, ref List<SubConstrRegist> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -158,7 +160,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -175,16 +177,17 @@
         public bool SelectAction(string AddSQLString, ref SubConstrRegist data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -198,7 +201,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -212,60 +215,60 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(SubConstrRegist data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "INSERT INTO SubConstrRegist";
+                strcmd.Append("INSERT INTO SubConstrRegist");
 
-                strcmd += "(";
+                strcmd.Append("(");
                 bool bFirst = true;
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bFirst) strcmd += " ,";
-                    strcmd += gender.ToString();
+                    if (!bFirst) strcmd.Append(" ,");
+                    strcmd.Append(gender.ToString());
                     bFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("  {0}", data.PersonCode);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')" ,data.CreateDate.ToShortDateString());
-                strcmd += string.Format(", {0}", data.SeqNo);
-                strcmd += string.Format(", {0}", data.DataMode);
-                strcmd += string.Format(", {0}", data.SourceCode);
-                strcmd += string.Format(", {0}", data.PetitionPeriod);
+                strcmd.AppendFormat("  {0}", data.PersonCode);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')" ,data.CreateDate.ToShortDateString());
+                strcmd.AppendFormat(", {0}", data.SeqNo);
+                strcmd.AppendFormat(", {0}", data.DataMode);
+                strcmd.AppendFormat(", {0}", data.SourceCode);
+                strcmd.AppendFormat(", {0}", data.PetitionPeriod);
 
-                strcmd += string.Format(", '{0}'", data.CorporateStatusName);
-                strcmd += string.Format(", {0}", data.CorporateStatusPoint);
-                strcmd += string.Format(", '{0}'", data.CompanyName);
-                strcmd += string.Format(", '{0}'", data.CEOPositionName);
-                strcmd += string.Format(", '{0}'", data.CEOName);
-                strcmd += string.Format(", '{0}'", data.ContactPersonName);
-                strcmd += string.Format(", '{0}'", data.ZipCode);
-                strcmd += string.Format(", '{0}'", data.Address1);
-                strcmd += string.Format(", '{0}'", data.Address2);
-                strcmd += string.Format(", '{0}'", data.Address3);
-                strcmd += string.Format(", '{0}'", data.CellPhoneNumber);
-                strcmd += string.Format(", '{0}'", data.MailAddress);
-                strcmd += string.Format(", '{0}'", data.PhoneNumber);
-                strcmd += string.Format(", '{0}'", data.FaxNumber);
-                strcmd += string.Format(", '{0}'", data.JapaneseSyllabary);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
-                strcmd += string.Format(", '{0}'", data.Note);
-                strcmd += string.Format(",  {0} ", data.labourKind.ToString());
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
-                strcmd += string.Format(", {0}", data.OrderNo);
+                strcmd.AppendFormat(", '{0}'", data.CorporateStatusName);
+                strcmd.AppendFormat(", {0}", data.CorporateStatusPoint);
+                strcmd.AppendFormat(", '{0}'", data.CompanyName);
+                strcmd.AppendFormat(", '{0}'", data.CEOPositionName);
+                strcmd.AppendFormat(", '{0}'", data.CEOName);
+                strcmd.AppendFormat(", '{0}'", data.ContactPersonName);
+                strcmd.AppendFormat(", '{0}'", data.ZipCode);
+                strcmd.AppendFormat(", '{0}'", data.Address1);
+                strcmd.AppendFormat(", '{0}'", data.Address2);
+                strcmd.AppendFormat(", '{0}'", data.Address3);
+                strcmd.AppendFormat(", '{0}'", data.CellPhoneNumber);
+                strcmd.AppendFormat(", '{0}'", data.MailAddress);
+                strcmd.AppendFormat(", '{0}'", data.PhoneNumber);
+                strcmd.AppendFormat(", '{0}'", data.FaxNumber);
+                strcmd.AppendFormat(", '{0}'", data.JapaneseSyllabary);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
+                strcmd.AppendFormat(", '{0}'", data.Note);
+                strcmd.AppendFormat(",  {0} ", data.labourKind.ToString());
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
+                strcmd.AppendFormat(", {0}", data.OrderNo);
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -279,68 +282,68 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<SubConstrRegist> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SubConstrRegist";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SubConstrRegist");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (SubConstrRegist work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.PersonCode);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.CreateDate.ToShortDateString());
-                    strcmd += string.Format(", {0}", work.SeqNo);
-                    strcmd += string.Format(", {0}", work.DataMode);
-                    strcmd += string.Format(", {0}", work.SourceCode);
-                    strcmd += string.Format(", {0}", work.PetitionPeriod);
+                    strcmd.AppendFormat("  {0}", work.PersonCode);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.CreateDate.ToShortDateString());
+                    strcmd.AppendFormat(", {0}", work.SeqNo);
+                    strcmd.AppendFormat(", {0}", work.DataMode);
+                    strcmd.AppendFormat(", {0}", work.SourceCode);
+                    strcmd.AppendFormat(", {0}", work.PetitionPeriod);
 
-                    strcmd += string.Format(", '{0}'", work.CorporateStatusName);
-                    strcmd += string.Format(", {0}", work.CorporateStatusPoint);
-                    strcmd += string.Format(", '{0}'", work.CompanyName);
-                    strcmd += string.Format(", '{0}'", work.CEOPositionName);
-                    strcmd += string.Format(", '{0}'", work.CEOName);
-                    strcmd += string.Format(", '{0}'", work.ContactPersonName);
-                    strcmd += string.Format(", '{0}'", work.ZipCode);
-                    strcmd += string.Format(", '{0}'", work.Address1);
-                    strcmd += string.Format(", '{0}'", work.Address2);
-                    strcmd += string.Format(", '{0}'", work.Address3);
-                    strcmd += string.Format(", '{0}'", work.CellPhoneNumber);
-                    strcmd += string.Format(", '{0}'", work.MailAddress);
-                    strcmd += string.Format(", '{0}'", work.PhoneNumber);
-                    strcmd += string.Format(", '{0}'", work.FaxNumber);
-                    strcmd += string.Format(", '{0}'", work.JapaneseSyllabary);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.StartDate.ToShortDateString());
-                    strcmd += string.Format(", '{0}'", work.Note);
-                    strcmd += string.Format(",  {0} ", work.labourKind.ToString());
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.OrderDate.ToShortDateString());
-                    strcmd += string.Format(", {0}", work.OrderNo);
+                    strcmd.AppendFormat(", '{0}'", work.CorporateStatusName);
+                    strcmd.AppendFormat(", {0}", work.CorporateStatusPoint);
+                    strcmd.AppendFormat(", '{0}'", work.CompanyName);
+                    strcmd.AppendFormat(", '{0}'", work.CEOPositionName);
+                    strcmd.AppendFormat(", '{0}'", work.CEOName);
+                    strcmd.AppendFormat(", '{0}'", work.ContactPersonName);
+                    strcmd.AppendFormat(", '{0}'", work.ZipCode);
+                    strcmd.AppendFormat(", '{0}'", work.Address1);
+                    strcmd.AppendFormat(", '{0}'", work.Address2);
+                    strcmd.AppendFormat(", '{0}'", work.Address3);
+                    strcmd.AppendFormat(", '{0}'", work.CellPhoneNumber);
+                    strcmd.AppendFormat(", '{0}'", work.MailAddress);
+                    strcmd.AppendFormat(", '{0}'", work.PhoneNumber);
+                    strcmd.AppendFormat(", '{0}'", work.FaxNumber);
+                    strcmd.AppendFormat(", '{0}'", work.JapaneseSyllabary);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.StartDate.ToShortDateString());
+                    strcmd.AppendFormat(", '{0}'", work.Note);
+                    strcmd.AppendFormat(",  {0} ", work.labourKind.ToString());
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.OrderDate.ToShortDateString());
+                    strcmd.AppendFormat(", {0}", work.OrderNo);
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -355,52 +358,52 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, SubConstrRegist data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE SubConstrRegist";
+                strcmd.Append("UPDATE SubConstrRegist");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format("  PersonCode = {0}", data.PersonCode);
-                strcmd += string.Format(", CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.CreateDate.ToShortDateString());
-                strcmd += string.Format(", SeqNo = {0}", data.SeqNo);
-                strcmd += string.Format(", DataMode = {0}", data.DataMode);
-                strcmd += string.Format(", SourceCode = {0}", data.SourceCode);
-                strcmd += string.Format(", PetitionPeriod = {0}", data.PetitionPeriod);
+                strcmd.AppendFormat("  PersonCode = {0}", data.PersonCode);
+                strcmd.AppendFormat(", CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.CreateDate.ToShortDateString());
+                strcmd.AppendFormat(", SeqNo = {0}", data.SeqNo);
+                strcmd.AppendFormat(", DataMode = {0}", data.DataMode);
+                strcmd.AppendFormat(", SourceCode = {0}", data.SourceCode);
+                strcmd.AppendFormat(", PetitionPeriod = {0}", data.PetitionPeriod);
 
-                strcmd += string.Format(", CorporateStatusName = '{0}'", data.CorporateStatusName);
-                strcmd += string.Format(", CorporateStatusPoint = {0}", data.CorporateStatusPoint);
-                strcmd += string.Format(", CompanyName = '{0}'", data.CompanyName);
-                strcmd += string.Format(", CEOPositionName = '{0}'", data.CEOPositionName);
-                strcmd += string.Format(", CEOName = '{0}'", data.CEOName);
-                strcmd += string.Format(", ContactPersonName = '{0}'", data.ContactPersonName);
-                strcmd += string.Format(", ZipCode = '{0}'", data.ZipCode);
-                strcmd += string.Format(", Address1 = '{0}'", data.Address1);
-                strcmd += string.Format(", Address2 = '{0}'", data.Address2);
-                strcmd += string.Format(", Address3 = '{0}'", data.Address3);
-                strcmd += string.Format(", CellPhoneNumber = '{0}'", data.CellPhoneNumber);
-                strcmd += string.Format(", MailAddress = '{0}'", data.MailAddress);
-                strcmd += string.Format(", PhoneNumber = '{0}'", data.PhoneNumber);
-                strcmd += string.Format(", FaxNumber = '{0}'", data.FaxNumber);
-                strcmd += string.Format(", JapaneseSyllabary = '{0}'", data.JapaneseSyllabary);
-                strcmd += string.Format(", StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
-                strcmd += string.Format(", Note = '{0}'", data.Note);
-                strcmd += string.Format(", labourKind = {0}", data.labourKind);
-                strcmd += string.Format(", OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
-                strcmd += string.Format(", OrderNo = {0}", data.OrderNo);
+                strcmd.AppendFormat(", CorporateStatusName = '{0}'", data.CorporateStatusName);
+                strcmd.AppendFormat(", CorporateStatusPoint = {0}", data.CorporateStatusPoint);
+                strcmd.AppendFormat(", CompanyName = '{0}'", data.CompanyName);
+                strcmd.AppendFormat(", CEOPositionName = '{0}'", data.CEOPositionName);
+                strcmd.AppendFormat(", CEOName = '{0}'", data.CEOName);
+                strcmd.AppendFormat(", ContactPersonName = '{0}'", data.ContactPersonName);
+                strcmd.AppendFormat(", ZipCode = '{0}'", data.ZipCode);
+                strcmd.AppendFormat(", Address1 = '{0}'", data.Address1);
+                strcmd.AppendFormat(", Address2 = '{0}'", data.Address2);
+                strcmd.AppendFormat(", Address3 = '{0}'", data.Address3);
+                strcmd.AppendFormat(", CellPhoneNumber = '{0}'", data.CellPhoneNumber);
+                strcmd.AppendFormat(", MailAddress = '{0}'", data.MailAddress);
+                strcmd.AppendFormat(", PhoneNumber = '{0}'", data.PhoneNumber);
+                strcmd.AppendFormat(", FaxNumber = '{0}'", data.FaxNumber);
+                strcmd.AppendFormat(", JapaneseSyllabary = '{0}'", data.JapaneseSyllabary);
+                strcmd.AppendFormat(", StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
+                strcmd.AppendFormat(", Note = '{0}'", data.Note);
+                strcmd.AppendFormat(", labourKind = {0}", data.labourKind);
+                strcmd.AppendFormat(", OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
+                strcmd.AppendFormat(", OrderNo = {0}", data.OrderNo);
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -416,18 +419,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM SubConstrRegist", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM SubConstrRegist", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
